/**
 * 最初の著者:: トゥイー
 * リポジトリ情報:: $Id: RecognitionProperty.hpp 26 2011-05-10 12:09:48Z yutaka_at_home $
 * 著作権:: Copyright (C) Ownway.info, 2011. All rights reserved.
 * ライセンス:: CPL(Common Public Licence)
 */

#ifndef _SPEECH_CONTROLLER_FRAMEWORK_CORE_RECOGNITION_PROPERTY_HPP_
#define _SPEECH_CONTROLLER_FRAMEWORK_CORE_RECOGNITION_PROPERTY_HPP_

#include <string>

namespace spcf {

	class RecognitionProperty {
	public:
		RecognitionProperty();
		virtual ~RecognitionProperty();

	private:
		RecognitionProperty(const RecognitionProperty& recognition);
		RecognitionProperty& operator=(const RecognitionProperty& recognition);

	public:
		virtual const std::string& getName() const = 0;

		virtual bool hasInt() const = 0;

		virtual const int& getInt() const = 0;

		virtual bool hasString() const = 0;

		virtual const std::string& getString() const = 0;
	};

}  // namespace spcf

#endif
